Index: code/branches/sound/src/sound/SoundBase.h
===================================================================
--- code/branches/sound/src/sound/SoundBase.h	(revision 2866)
+++ code/branches/sound/src/sound/SoundBase.h	(revision 2866)
@@ -0,0 +1,58 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *       Erwin 'vaiursch' Herrsche
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#include <al.h>
+
+class Ogre::SceneNode;
+class Orxonox::SoundManager;
+
+namespace orxonox
+{
+
+    class SoundBase
+    {
+    public:
+        SoundBase(Ogre::SceneNode* node);
+        ~SoundBase();
+
+        void attachToNode(Ogre::SceneNode* node);
+        void update();
+        void play(bool loop);
+        void stop();
+        void pause();
+
+        bool isPlaying();
+
+    private:
+        ALuint source_;
+        ALuint buffer_;
+        Ogre::SceneNode* node_;
+
+        static SoundManager* soundmanager_s;
+    }; // class SoundBase
+} // namepsace orxonox
Index: code/branches/sound/src/sound/SoundManager.h
===================================================================
--- code/branches/sound/src/sound/SoundManager.h	(revision 2866)
+++ code/branches/sound/src/sound/SoundManager.h	(revision 2866)
@@ -0,0 +1,52 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *       Erwin 'vaiursch' Herrsche
+ *   Co-authors:
+ *      ...
+ */
+
+#include <al.h>
+#include <alc.h>
+
+class SoundBase;
+
+namespace Orxonox
+{
+    class SoundManager : public Tickable
+    {
+    public:
+        SoundManager();
+        
+        void addSound(SoundBase* sound);
+        void removeSound(SoundBase* sound);
+
+        void tick(float dt);
+
+    private:
+        ALCcontext* context_;
+        ALCdevice* device_;
+
+        std::list<SoundBase*> soundlist_;
+
+    }; // class SoundManager
+} // namespace Orxonox
Index: code/branches/sound/src/sound/copyheader
===================================================================
--- code/branches/sound/src/sound/copyheader	(revision 2866)
+++ code/branches/sound/src/sound/copyheader	(revision 2866)
@@ -0,0 +1,28 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *       Erwin 'vaiursch' Herrsche
+ *   Co-authors:
+ *      ...
+ *
+ */
+
